//+------------------------------------------------------------------+
//|                                                      ATRDots.mq4 |
//|                                                  Mark Kolesnikov |
//|                                                 thewayofmoney.ru |
//+------------------------------------------------------------------+
#property copyright "Mark Kolesnikov"
#property link      "thewayofmoney.ru"

extern double k=0.0001;
extern int aTRPeriod = 10; // Default setting for ATRPeriod
extern int tradePeriod = 2; // Default setting for TradePeriod
extern double aTRFactor = 0.5; // Default setting for ATRFactor
extern int direction = 1; // Default setting for Direction
extern int Magic =23423534;
extern double lots=0.1;
extern double point=0.0001;
int lastbar=-1;
double atr=0;
double P=0;
double R=0;
double G= 0;
double H=0;
double ExtMapBuffer1[];
double ExtMapBuffer2[];
#property indicator_buffers 2
#property indicator_color1 Chartreuse
#property indicator_color2 Red
#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   SetIndexStyle(0,DRAW_ARROW);
   SetIndexArrow(0,115);
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexEmptyValue(0,0.0);
   
   SetIndexStyle(1,DRAW_ARROW);
   SetIndexArrow(1,115);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexEmptyValue(1,0.0);
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {

  int limit;
     int counted_bars=IndicatorCounted();
  //---- check for possible errors
     if(counted_bars<0) return(-1);
  //---- the last counted bar will be recounted
     if(counted_bars>0) counted_bars--;
     limit=Bars-counted_bars;
  //---- main loop
     for(int i=0; i<limit; i++)
       {
          double atr = iATR(NULL,0,aTRPeriod,i+1);
          P=(k*atr/Point);
			 R=NormalizeDouble(MathRound(P)*point+point,Digits);
			 G= (aTRFactor * atr)/point;
			 H=NormalizeDouble(MathRound(G)*point,Digits);
			 ExtMapBuffer1[i]=Close[i+1]-H;
			  ExtMapBuffer2[i]=Close[i+1]+H;
       }
//----
    
//----
   return(0);
  }
//+------------------------------------------------------------------+